Nano Banana
| Provider | |
| Model name | gemini-3-pro-image-preview |
| Endpoint | /v1/chat/completions |
| Credits | 6 per image |
| Sizes | 1024x1024, 1792x1024, 1024x1792, 1024x768, 768x1024 |
Features
Section titled “Features”- 1K/2K/4K resolution support
- Fast generation speed
- High quality output
API Usage
Section titled “API Usage”curl -X POST https://api.hiapi.ai/v1/chat/completions \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "gemini-3-pro-image-preview", "stream": false, "messages": [{"role": "user", "content": "a cute cat wearing sunglasses"}], "extra_body": { "google": { "image_config": {"aspect_ratio": "1:1", "image_size": "1K"} } } }'import requests
response = requests.post( "https://api.hiapi.ai/v1/chat/completions", headers={ "Authorization": "Bearer YOUR_API_KEY", "Content-Type": "application/json" }, json={ "model": "gemini-3-pro-image-preview", "stream": False, "messages": [{"role": "user", "content": "a cute cat wearing sunglasses"}], "extra_body": { "google": { "image_config": {"aspect_ratio": "1:1", "image_size": "1K"} } } })
# Response: choices[0].message.content contains print(response.json()["choices"][0]["message"]["content"])const response = await fetch("https://api.hiapi.ai/v1/chat/completions", { method: "POST", headers: { "Authorization": "Bearer YOUR_API_KEY", "Content-Type": "application/json" }, body: JSON.stringify({ model: "gemini-3-pro-image-preview", stream: false, messages: [{ role: "user", content: "a cute cat wearing sunglasses" }], extra_body: { google: { image_config: { aspect_ratio: "1:1", image_size: "1K" } } } })});
const data = await response.json();// data.choices[0].message.content contains console.log(data.choices[0].message.content);